#!/bin/bash

# Copyright (c) 2000, 2005 IBM Corp. - All Rights Reserved.
# IBM makes no representations or warranties about the suitability of
# this program, either express or implied, including but not limited to
# the implied warranties of merchantability, fitness for a particular
# purpose, or non-infringement. 
  
. ${TOP}/bin/get_params.sh

function usage()
{
  echo "Usage: migrateCompanyZip.sh [--debug=yes] [--verbose=yes] --from=<source version> --out=<output directory> <input zip>+"
  exit 1;
}

if [ -z $_CCD_FROM ]; then
  usage
fi

if [ -z $_CCD_OUT ]; then
  usage
fi

echo "============================================================"
CMD="$JAVA_RT com.ibm.ccd.envexpimp.migration.Migrator --xsl=$JAVA_SRCDIR/com/ibm/ccd/envexpimp/migration/xml/migrator $@"
$CMD
rc=$?
echo "============================================================"

exit $rc
